locations
Get apilocationslevel3
ViewSet for Level3 locations (cities) with filtering support.
Query parameters:
- counties: County IDs (repeated parameter format, e.g., ‘counties=123&counties=456’)
- country: Country alpha2 code (e.g., ‘AU’, ‘FR’)
Example: /api/locations/level3/?counties=123&counties=456&country=AU
GET
/
api
/
locations
/
level3
/
{id}
/
cURL
curl -X GET 'https://www.spherescout.io/api/locations/level3/{id}/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0'import requests
response = requests.get(
"https://www.spherescout.io/api/locations/level3/{id}/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/locations/level3/{id}/", {
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
});
const data = await response.json();
{
"id": 123,
"name": "<string>",
"code": "<string>",
"level1_id": 123,
"level2_id": 123,
"level1_name": "<string>",
"level2_name": "<string>"
}Authorizations
API key. Format: Token
Path Parameters
A unique integer value identifying this level3 location.
⌘I
cURL
curl -X GET 'https://www.spherescout.io/api/locations/level3/{id}/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0'import requests
response = requests.get(
"https://www.spherescout.io/api/locations/level3/{id}/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/locations/level3/{id}/", {
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
});
const data = await response.json();
{
"id": 123,
"name": "<string>",
"code": "<string>",
"level1_id": 123,
"level2_id": 123,
"level1_name": "<string>",
"level2_name": "<string>"
}